: Class Events

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.event
Class Events

    java.lang.Object
      |
      +--org.w3c.tools.resources.event.Events

public class Events
extends java.lang.Object

Field Summary
`static int` | `ATTRIBUTE_EVENT`
`static int` | `FRAME_ADDED` The frame has just been added.
`static int` | `FRAME_EVENT`
`static int` | `FRAME_MODIFIED` The frame has been modified.
`static int` | `FRAME_REMOVED` The frame has been removed.
`static int` | `RESOURCE_CREATED` A new resource has been created.
`static int` | `RESOURCE_EVENT` The Ids
`static int` | `RESOURCE_MODIFIED` The source is modified.
`static int` | `RESOURCE_REMOVED` resource is about to be removed.
`static int` | `RESOURCE_UNLOADED` resource is about to be removed.

Constructor Summary
`Events()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_EVENT

    public static final int RESOURCE_EVENT

  The Ids

### FRAME_EVENT

    public static final int FRAME_EVENT

### ATTRIBUTE_EVENT

    public static final int ATTRIBUTE_EVENT

### RESOURCE_MODIFIED

    public static final int RESOURCE_MODIFIED

  The source is modified.

### RESOURCE_CREATED

    public static final int RESOURCE_CREATED

  A new resource has been created.

### RESOURCE_REMOVED

    public static final int RESOURCE_REMOVED

  resource is about to be removed.

### RESOURCE_UNLOADED

    public static final int RESOURCE_UNLOADED

  resource is about to be removed.

### FRAME_ADDED

    public static final int FRAME_ADDED

  The frame has just been added.

### FRAME_MODIFIED

    public static final int FRAME_MODIFIED

  The frame has been modified.

### FRAME_REMOVED

    public static final int FRAME_REMOVED

  The frame has been removed.

Constructor Detail

### Events

    public Events()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD